> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zype.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Ads

Retrieve a list of ads from your library

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Playout Scheduler",
    "description": "",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "paths": {
    "/scheduler/v2/assets/ads": {
      "get": {
        "summary": "List Ads",
        "description": "Retrieve a list of ads from your library",
        "operationId": "listAdsV2",
        "tags": [
          "Assets"
        ],
        "parameters": [
          {
            "name": "id",
            "$ref": "#/paths/~1scheduler~1v2~1assets~1blocks/get/parameters/0"
          },
          {
            "name": "q",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            },
            "description": "Filters by description, title, id"
          },
          {
            "name": "order",
            "$ref": "#/paths/~1scheduler~1v2~1assets~1blocks/get/parameters/2"
          },
          {
            "name": "sort",
            "$ref": "#/paths/~1scheduler~1v2~1assets~1blocks/get/parameters/3"
          },
          {
            "name": "page",
            "$ref": "#/paths/~1scheduler~1v1~1types/get/parameters/0"
          },
          {
            "name": "perPage",
            "$ref": "#/paths/~1scheduler~1v1~1types/get/parameters/1"
          }
        ],
        "responses": {
          "200": {
            "description": "Returns Ads",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "assets": {
                      "type": "object",
                      "title": "Asset",
                      "properties": {
                        "id": {
                          "type": "string"
                        },
                        "externalId": {
                          "type": "string"
                        },
                        "siteId": {
                          "type": "string"
                        },
                        "assetType": {
                          "type": "string",
                          "enum": [
                            "video",
                            "ad",
                            "bumper",
                            "slate"
                          ]
                        },
                        "createdAt": {
                          "type": "string",
                          "format": "date"
                        },
                        "updatedAt": {
                          "type": "string",
                          "format": "date"
                        },
                        "title": {
                          "type": "string"
                        },
                        "description": {
                          "type": "string"
                        },
                        "duration": {
                          "type": "number"
                        },
                        "hasEmbeddedCc": {
                          "type": "boolean"
                        }
                      }
                    },
                    "pagination": {
                      "$ref": "#/paths/~1scheduler~1v1~1types/get/responses/200/content/application~1json/schema/properties/pagination"
                    }
                  }
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1scheduler~1v1~1types/get/responses/422/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "X-API-Key",
        "in": "header"
      }
    }
  }
}
```